Bug 209923 - Switching to the "List" tab brings up a "Reading Software Installation" progress dialog every time
Switching to the "List" tab brings up a "Reading Software Installation" progr...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
bzcl34nup
: Desktop
: 217948 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-08 06:47 EDT by Dave Malcolm
Modified: 2008-05-06 20:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-10-08 06:47:33 EDT
Description of problem:
Switching to the "List" tab brings up a "Reading Software Installation" progress
dialog every time.

If possible, can it do this lazily - I'm guessing that it's necessary to have a
delay the first time you switch to the tab, but if you switch to another tab,
and then back to the List tab, can it remember the work it was doing before?

Version-Release number of selected component (if applicable):
pirut-1.2.2-1

How reproducible:
100%

Steps to Reproduce:
1. Launch pirut
2. Click on "List" tab
3. Click on another tab
4. Click on "List" tab again
5. repeat from step 3

Actual results:
"Reading Software Installation" progress dialog appears each time I click on
"List", with a short delay

Expected results:
Should only appear the first time (or not at all?)
Comment 1 Jeremy Katz 2006-10-09 10:51:19 EDT
The problem with doing so is that it ends up with a somewhat significant memory
hit due to having to keep more package objects in memory basically all the time.

But looking at ways to reduce the need for it over time.
Comment 2 Jeremy Katz 2007-04-09 16:34:52 EDT
*** Bug 217948 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-04-03 14:28:09 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 20:56:38 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.